Generation Framework

## org.eclipse.gmf.gmfgraph
Interface AlignmentFacet

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VisualFacet

All Known Implementing Classes:
  AlignmentFacetImpl

    public interface AlignmentFacet

extends VisualFacet

A representation of the model object 'Alignment Facet'. Makes sense for DiagramLabels of Links only (now). Constants from `ConnectionLocator` are: MIDDLE = Alignment.CENTER, TARGET = Alignment.END, SOURCE = Alignment.BEGINNING

The following features are supported:

- `Alignment`

See Also:
  `GMFGraphPackage.getAlignmentFacet()`
** Generated **
Model:

Method Summary
`Alignment` `getAlignment()` Returns the value of the 'Alignment' attribute.
`void` `setAlignment(Alignment value)` Sets the value of the '`Alignment`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAlignment

    Alignment getAlignment()

  Returns the value of the 'Alignment' attribute. The literals are from the enumeration `Alignment`.

  If the meaning of the 'Alignment' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Alignment' attribute.
  See Also:
    `Alignment`, `setAlignment(Alignment)`, `GMFGraphPackage.getAlignmentFacet_Alignment()`
  ** Generated **
  Model:

### setAlignment

    void setAlignment(Alignment value)

  Sets the value of the '`Alignment`' attribute.

  Parameters:
    `value` - the new value of the 'Alignment' attribute.
  See Also:
    `Alignment`, `getAlignment()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.